CVE-2024-24685

NameCVE-2024-24685
DescriptionMultiple stack-based buffer overflow vulnerabilities exist in the readOFF functionality of libigl v2.5.0. A specially crafted .off file can lead to stack-based buffer overflow. An attacker can provide a malicious file to trigger this vulnerability.This vulnerability concerns the parsing of comments within the vertex section of an `.off` file processed via the `readOFF` function.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
slic3r-prusa (PTS)buster1.39.2+dfsg-1vulnerable
bullseye2.3.0+dfsg-1vulnerable
bookworm2.5.0+dfsg-4vulnerable
sid2.7.4+dfsg-1.1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
slic3r-prusasource(unstable)(unfixed)

Notes

[bookworm] - slic3r-prusa <postponed> (Minor issue, revisit when/if fixed upstream)
[bullseye] - slic3r-prusa <postponed> (Minor issue, revisit when/if fixed upstream)
[buster] - slic3r-prusa <postponed> (Minor issue; revisit when/if fixed upstream)
https://talosintelligence.com/vulnerability_reports/TALOS-2024-1929
https://github.com/libigl/libigl/issues/2387

Search for package or bug name: Reporting problems